BlobCopyProgress (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.enums, enum: BlobCopyProgress

Package org.apache.hadoop.fs.azurebfs.enums

# Enum Class BlobCopyProgress

java.lang.Object
java.lang.Enum<BlobCopyProgress>
org.apache.hadoop.fs.azurebfs.enums.BlobCopyProgress

All Implemented Interfaces:
  `Serializable`, `Comparable<BlobCopyProgress>`, `Constable`

public enum BlobCopyProgress extends Enum<BlobCopyProgress>
Enum for BlobCopyProgress.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORTED`
  Copy is aborted.
  `FAILURE`
  Copy is failed.
  `PENDING`
  Copy is pending.
  `SUCCESS`
  Copy is successful.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlobCopyProgress`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlobCopyProgress[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final BlobCopyProgress SUCCESS
    Copy is successful.

  - ### FAILURE

    public static final BlobCopyProgress FAILURE
    Copy is failed.

  - ### ABORTED

    public static final BlobCopyProgress ABORTED
    Copy is aborted.

  - ### PENDING

    public static final BlobCopyProgress PENDING
    Copy is pending.

- ## Method Details

  - ### values

    public static BlobCopyProgress[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlobCopyProgress valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null